package tech.mercantec.easyeat.ui.dishes

import android.content.Intent
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Toast
import androidx.fragment.app.Fragment
import tech.mercantec.easyeat.databinding.FragmentDishesBinding
import tech.mercantec.easyeat.models.Dish

class DishesFragment : Fragment() {

    private var _binding: FragmentDishesBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentDishesBinding.inflate(inflater, container, false)
        val root: View = binding.root

        binding.addDish.setOnClickListener {
            val intent = Intent(requireContext(), CreateDishActivity::class.java)
            startActivity(intent)
        }

        context?.let { context ->
            binding.dishesList.setOnItemClickListener { parent, view, position, id ->
                val selectedItem = parent.getItemAtPosition(position) as Dish
                Toast.makeText(context, "you selected $selectedItem.name that costs ${selectedItem.expense} kr.", Toast.LENGTH_LONG).show()
            }

            val listItems = arrayOf(
                Dish("Spaghetti Bolognese", "Beef", 70.5),
                Dish("Margherita Pizza", "Cheese", 60.0),
                Dish("Chicken Curry", "Chicken", 80.2),
                Dish("Vegetable Stir Fry", "Mixed Vegetables", 50.5),
                Dish("Sushi", "Fish", 100.0),
                Dish("Beef Tacos", "Beef", 60.8),
                Dish("Lentil Soup", "Lentils", 40.5),
                Dish("Pasta Alfredo", "Cream", 60.9),
                Dish("Caesar Salad", "Chicken", 50.8),
                Dish("Falafel Wrap", "Chickpeas", 50.2)
            )

            binding.dishesList.adapter = DishAdapter(context, listItems)
        }


        return root
    }




    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}