package tech.mercantec.easyeat.ui.profile

import android.app.ProgressDialog
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.helpers.ApiRequestException
import tech.mercantec.easyeat.helpers.changePassword
import kotlin.concurrent.thread

class ChangePasswordActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_change_password)

        findViewById<Button>(R.id.save).setOnClickListener {
            val currentPassword = findViewById<EditText>(R.id.current_password).text.toString()
            val newPassword = findViewById<EditText>(R.id.new_password).text.toString()
            val confirmPassword = findViewById<EditText>(R.id.confirm_password).text.toString()

            if (newPassword != confirmPassword) {
                Toast.makeText(this, "Passwords must match", Toast.LENGTH_LONG).show()

                return@setOnClickListener
            }

            val progressDialog = ProgressDialog(this)
            progressDialog.setMessage("Loading...")
            progressDialog.show()

            thread {
                try {
                    changePassword(this, currentPassword, newPassword)
                } catch (e: ApiRequestException) {
                    runOnUiThread {
                        Toast.makeText(this, e.message, Toast.LENGTH_LONG).show()
                    }

                    return@thread
                } finally {
                    runOnUiThread {
                        progressDialog.hide()
                    }
                }

                runOnUiThread {
                    Toast.makeText(this, "Password changed successfully", Toast.LENGTH_LONG).show()
                }

                finish()
            }
        }
    }
}
