package tech.mercantec.easyeat.ui.shopping_list

import android.app.AlertDialog
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ArrayAdapter
import android.widget.Spinner
import androidx.fragment.app.Fragment
import tech.mercantec.easyeat.R
import tech.mercantec.easyeat.databinding.FragmentShoppingListBinding

class ShoppingListFragment : Fragment() {

    private var _binding: FragmentShoppingListBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        _binding = FragmentShoppingListBinding.inflate(inflater, container, false)
        val root: View = binding.root

        binding.addToShoppingList.setOnClickListener {
            val view = requireActivity().layoutInflater.inflate(R.layout.dialog_add_to_shopping_list, null)

            val dialog = AlertDialog.Builder(activity)
                .setView(view)
                .setPositiveButton(R.string.add_label, { dialog, id ->

                })
                .setNegativeButton(R.string.cancel_label, { dialog, id ->
                    dialog.cancel()
                })
                .create()

            dialog.show()

            val adapter = ArrayAdapter.createFromResource(requireContext(), R.array.units, android.R.layout.simple_spinner_item)
            adapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item)

            dialog.findViewById<Spinner>(R.id.unit_selector).adapter = adapter
        }

        return root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}